Skip to main content
DELETE
/
payments
/
coupon
Delete Coupon
curl --request DELETE \
  --url https://services.leadconnectorhq.com/payments/coupon \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "altId": "BQdAwxa0ky1iK2sstLGJ",
  "altType": "location",
  "id": "6241712be68f7a98102ba272"
}
'
{
  "success": true,
  "traceId": "c667b18d-8f5e-44cf-a914"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
altId
string
required

Location Id

Example:

"BQdAwxa0ky1iK2sstLGJ"

altType
enum<string>
required

Alt Type

Available options:
location
Example:

"location"

id
string
required

Coupon Id

Example:

"6241712be68f7a98102ba272"

Response

Successful response

success
boolean
required

Indicates whether the delete was successful

Example:

true

traceId
string
required

Unique identifier for tracing this API request

Example:

"c667b18d-8f5e-44cf-a914"

Last modified on March 4, 2026